Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.cluster
Interface ReportMember

All Superinterfaces:
  Member, PropertiesCreator, java.io.Serializable

    public interface ReportMember

extends Member, java.io.Serializable

The `ReportMember` interface represents a report server member in a cluster.

Since:
  5.0

Method Summary
`int` | `getConcurrentReports()` Returns the number of concurrent reports.
`int` | `getMaxConcurrentReports()` Returns the maximum number of concurrent reports.
`int` | `getPenddingReports()` Returns the number of pending reports.
`int` | `getPerformancePriority()` Deprecated. no replacement. As of V8.1
`void` | `setConcurrentReports(int concurrentReports)` Sets the number of concurrent reports.
`void` | `setPenddingReports(int reports)` Sets the number of pending (unfinished) reports.

Methods inherited from interface jet.server.api.cluster.Member
`equals, equals, getBackupPriority, getHost, getID, getPort, getServerName, isAdmin, isBackupAdmin`

Methods inherited from interface jet.server.api.PropertiesCreator
`toProperties`

Method Detail

### getMaxConcurrentReports

    int getMaxConcurrentReports()

  Returns the maximum number of concurrent reports.

  Returns:
    the maximum number of concurrent reports.

### getConcurrentReports

    int getConcurrentReports()

  Returns the number of concurrent reports.

  Returns:
    the number of concurrent reports.

### setConcurrentReports

    void setConcurrentReports(int concurrentReports)

  Sets the number of concurrent reports. Some load balance algorithms will consider this number for selecting the next member to run reports.

  Parameters:
    `concurrentReports` - the number of concurrent reports, greater than or equal to 0.

### getPenddingReports

    int getPenddingReports()

  Returns the number of pending reports.
  This number includes total unfinished reports on the member:
  - queuing reports
  - waiting reports
  - running reports (`getConcurrentReports()`)

  Returns:
    the number of pending reports.
  Since:
    10.0

### setPenddingReports

    void setPenddingReports(int reports)

  Sets the number of pending (unfinished) reports. Some load balance algorithms will consider this number for selecting the next member to run reports.

  Parameters:
    `reports` - the pending reports, great than or equal to 0.
  Since:
    10.0

### getPerformancePriority

    int getPerformancePriority()

  Deprecated. no replacement. As of V8.1

  Returns the performance priority of the cluster server.

  Returns:
    the performance priority of the cluster server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD